playerc_log_t Struct Reference
log

Log proxy data. More...

`#include <playerc.h>`

## Public Attributes

playerc_device_t | info
| Device info; must be at the start of all device structures. More...
int | type
| What kind of log device is this? Either PLAYER_LOG_TYPE_READ or PLAYER_LOG_TYPE_WRITE. More...
int | state
| Is logging/playback enabled? Call playerc_log_get_state() to fill it. More...

## Detailed Description

Log proxy data.

## Member Data Documentation

playerc_device_t playerc_log_t::info

Device info; must be at the start of all device structures.

int playerc_log_t::state

Is logging/playback enabled? Call playerc_log_get_state() to fill it.

int playerc_log_t::type

What kind of log device is this? Either PLAYER_LOG_TYPE_READ or PLAYER_LOG_TYPE_WRITE.

Call playerc_log_get_state() to fill it.

The documentation for this struct was generated from the following file:

- playerc.h

Last updated 12 September 2005 21:38:45